/* Google font  */
body{
    font-family: "Open Sans", sans-serif;
}

/* css reset */
/* eliminate ny predefined margin and padding of the browser */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}
nav{
    /* .8rem = .8*16px(default) 
    rem stands for root element measurement */
    padding: .8rem;
    /* side that can be used with padding/margin
       -top
       -left
       -right
       -bottom */
    margin-bottom: 2rem;
    border-bottom: 1px solid gray;
    list-style-type: none;
}

nav .nav, nav .nav-logo{
    /* .nav and .nav-logo is the class name */
    /* .nav is descendent of nav
    similarly .nav-logo is descendent of nav */
    margin: .5rem;
    display: inline;
}

#intro{
    /* padding-left: 10%;
       padding-right: 10%;
       padding-top: 2rem;
       padding-bottom: 3rem; */
    padding: 2rem 10% 3rem;
    /* 
    all sides
        padding/margin/border: 5px;

    top-bottom and left-right
        padding/margin/border: 5px 10px;

    top left-right bottom
        padding/margin/border: 2rem 10% 3rem;

    top right bottom left
        padding/margin/border: 2rem 10% 15% 3rem; */
    text-align: center;

}

/* to make the text appear in left half only */
/* .sample{
    width: 50%;
} */

.header{
    text-align: center;
}

#intro h2, #intro p{
    margin-bottom: 1rem;
}

#intro button{
    color: white;
    font-weight: bold;
    background-color: #c2195b;
    border-radius: 25px;
    font-size: 1rem;
    /* creates the space between button border ansd text inside */
    padding: 1rem;

}

#succeed-info{
    padding: 2rem 10% 3rem;
    text-align: center;
}

#succeed-info h2{
    margin-bottom: 1rem;
}
#succeed-info h3{
    text-align: center;
    margin-bottom: 1rem;
}

#succeed-info .card{
    /* allows the cards to appear side by side or beside each other */
    display: inline-block;
    /* each card takes up 30% of the parent elemtn , 
    which is a div that spans the full width */
    width: 30%;
    margin-left: .5rem;
    margin-right: .5rem;
    border: 1px solid black;
    /* this one sets elmenty to be aligned at the top of their parent element */
    vertical-align: top;

    /* by removing it the border will be differnet for every text  */
    min-height: 175px;
}

/* #pre-footer{
    margin: 20px;
  no need for pre-footer
} */
footer{
    margin: .7rem;
    padding: .7rem;
    border: 1px solid black;
}

/* span- they are similar like pararpahs but they are inline styling in nature */
footer span{
    margin-left: .5rem;
    margin-right: .5rem;
}
/* the code similar to card will also work the same here */




